import { html as n } from "lit";
import { property as p } from "lit/decorators.js";
import { PieIconComponent as u } from "./PieIconComponent.js";
import { safeCustomElement as f } from "@justeattakeaway/pie-webc-core";
var h = Object.defineProperty, g = Object.getOwnPropertyDescriptor, a = (l, e, s, r) => {
  for (var t = r > 1 ? void 0 : r ? g(e, s) : e, i = l.length - 1, c; i >= 0; i--)
    (c = l[i]) && (t = (r ? c(e, s, t) : c(t)) || t);
  return r && t && h(e, s, t), t;
};
let o = class extends u {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--youtubeStaticLarge", this.class = "c-pieIcon c-pieIcon--youtubeStaticLarge", this.name = "IconSocialYoutubeStaticLarge";
  }
  render() {
    return n`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--youtubeStaticLarge"><path fill="red" d="M27.9 9.97a3.134 3.134 0 0 0-2.186-2.236c-1.928-.529-9.662-.529-9.662-.529s-7.733 0-9.662.529A3.133 3.133 0 0 0 4.204 9.97c-.517 1.973-.517 6.09-.517 6.09s0 4.116.517 6.089a3.134 3.134 0 0 0 2.186 2.237c1.929.528 9.662.528 9.662.528s7.734 0 9.662-.528a3.134 3.134 0 0 0 2.187-2.237c.516-1.973.516-6.09.516-6.09s0-4.116-.516-6.09Z"></path><path fill="#fff" d="m13.523 19.798 6.464-3.738-6.464-3.737v7.475Z"></path></svg>`;
  }
};
a([
  p({ type: String, reflect: !0 })
], o.prototype, "size", 2);
a([
  p({ type: String, reflect: !0 })
], o.prototype, "class", 2);
o = a([
  f("icon-social-youtube-static-large")
], o);
export {
  o as IconSocialYoutubeStaticLarge
};
